#!/bin/sh

### Configuration
CONFIG_PATH="$HOME/.ctwm/"
THEMES_PATH="$CONFIG_PATH/Themes"
DEFAULT_COLOR="darkgrey"
XSETBG="/usr/bin/xsetbg -center -border black"
### End of Configuration

FILENAME="$1"
LAST_SCREEN=$((`xdpyinfo | grep "number of screens:" | cut -f2 -d: | tr -d [[:blank:]]` - 1))
DISP=`echo "$DISPLAY" | cut -f1 -d.`

# Set the default background if no filename is given
if [ -z "${FILENAME}" ]
then
	for i in `seq 0 $LAST_SCREEN`
	do
	  if [ -r "${THEMES_PATH}/Current/wallpaper.$i" ]
	  then
	        echo "Setting wallpaper for screen $i"
	  	${XSETBG} -display $DISP.$i ${THEMES_PATH}/Current/wallpaper.$i &
	  else
	        echo "Setting default color background for screen $i"
	  	xsetroot -display $DISP.$i -solid ${DEFAULT_COLOR}
	  fi
	done
	exit 0
fi

SCREEN_NUM=`expr "$DISPLAY" : ".*\.\([[:digit:]]\)$"`
SCREEN_NUM=${SCREEN_NUM:=0}

# Set the background and change wallpaper to the new pix
if [ "$FILENAME" = "none" ]
then
	xsetroot -solid ${DEFAULT_COLOR}
	rm -f "${THEMES_PATH}/Current/wallpaper.$SCREEN_NUM"
else
	${XSETBG} "${CONFIG_PATH}/Backgrounds/${FILENAME}" &
	ln -sf "../../Backgrounds/${FILENAME}" "${THEMES_PATH}/Current/wallpaper.$SCREEN_NUM"
fi
