#!/bin/sh
#
# This script switchs the theme to use

### Configuration
THEMES_PATH="$HOME/.ctwm/Themes"
### End of Configuration

THEME="$1"

# Checks the arguments number
if [ $# -ne 1 ]
then
  echo "usage: `basename $0` <theme_name>"
  exit 0
fi

# Checks the validity of the provided argument
if [ ! -d "${THEMES_PATH}/${THEME}" ]
then
  echo "`basename $0`: ${THEMES_PATH}/${THEME}: directory not found"
  exit 0
fi

# Install new theme
rm -f "${THEMES_PATH}/Current"
ln -sf "${THEME}" "${THEMES_PATH}/Current"

# end of script
